import .relations
axiom nat.nat : Type.
constant nat.S : (nat.nat) -> nat.nat.
constant nat.le_ : (nat.nat) -> (nat.nat) -> Prop.
axiom nat.le_S : forall (n:nat.nat) , forall (m:nat.nat) , ((((nat.le_) ) (n)) (m)) -> (((nat.le_) ) (n)) (((nat.S) ) (m)).
axiom nat.le_ind : forall (n:nat.nat) , forall (Q:(nat.nat) -> Prop) , ((Q) (n)) -> (forall (m:nat.nat) , ((((nat.le_) ) (n)) (m)) -> ((Q) (m)) -> (Q) (((nat.S) ) (m))) -> forall (m:nat.nat) , ((((nat.le_) ) (n)) (m)) -> (Q) (m).
def nat.lt_ : (nat.nat) -> (nat.nat) -> Prop := fun (n : nat.nat) , fun (m : nat.nat) , (((nat.le_) ) (((nat.S) ) (n))) (m).
theorem nat.transitive_lt : ((relations.transitive) (nat.nat)) ((nat.lt_) ) := fun (a : nat.nat) , fun (b : nat.nat) , fun (c : nat.nat) , fun (ltab : (((nat.lt_) ) (a)) (b)) , (fun (ltbc : (((nat.lt_) ) (b)) (c)) , (((((((@nat.le_ind) (((nat.S) ) (b))) (fun (x_417 : nat.nat) , (((nat.lt_) ) (a)) (x_417))) ((((@nat.le_S) (((nat.S) ) (a))) (b)) (ltab))) (fun (m : nat.nat) , fun (_x_419 : (((nat.le_) ) (((nat.S) ) (b))) (m)) , (fun (_x_421 : (((nat.lt_) ) (a)) (m)) , ((((@nat.le_S) (((nat.S) ) (a))) (m)) (_x_421))))) (c)) (ltbc))).
